<?php get_header(); ?>

	<div class="container">
		<article id="content" class="single" role="main">
				<div class="entry-content">
					<?php if ( have_posts() ) : ?>
					<header class="page-header">
						<h1 class="super cm-sans"></strong><?php printf( __( 'Search for: %s', 'dw' ), get_search_query() ); ?></h1>
					</header>
						<?php while ( have_posts() ) : the_post();?>
						<h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'dw' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
						<div class="entry-meta">
							<div class="date">
								<?php the_date(); ?>
							</div>
						</div>

						<?php the_excerpt(); ?>
						<?php endwhile;
							dw_paging_nav();
						else :
							printf( __( 'Nothing Found', 'dw' ));		
							get_search_form();
						endif;
						?>
				</div>
			</div>
		</div>
	</div>
	
<?php get_footer(); ?>