<!DOCTYPE html>
<html lang="en-US">
<head>
<!--
	     .     . .              .       .  . 
	. . ...-..-| |-. .-. .-.-..-| .-.. ...-| 
	 ` ` '' '`-'-' '-`-`-' ' '`-'-`-`-` '`-'-
-->
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="description" content="Studio | David A. Windham" />
<?php wp_head(); ?>
</head>
<body>
<?php get_template_part('loader') ?>
<header id="header">
	<div id="nav">
		<div class="navbar navbar-fixed-top">
			<div class="container">
				<div class="site-title">
					<a href="#" class="navbar-brand navbar-right light"  data-toggle="offcanvas" data-target=".navmenu" title="David A. Windham" rel="home">David A. Windham</a>			
				</div>
			</div>
		</div>
	</div>
</header>
<nav id="site-menu" class="slide-menu-left navmenu navmenu-default navmenu-fixed-right offcanvas" role="navigation">
	<ul class="nav nav-stacked">
		<li><a href="<?php echo home_url( '/' ); ?>" class="list-group-item"><span class="fa fa-home fa-fw"></span> Home</a></li>
		<li><a href="<?php echo home_url( '/' ); ?>about" class="list-group-item"><span class="fa fa-file-text-o fa-fw"></span> About</a></li>
		<li><a href="<?php echo home_url( '/' ); ?>desk" class="list-group-item"><span class="fa fa-pencil-square-o fa-fw"></span> Desk</a></li>
		<li><a href="<?php echo home_url( '/' ); ?>studio" class="list-group-item"><span class="fa fa-flask fa-fw"></span> Studio</a></li>
		<li><a href="<?php echo home_url( '/' ); ?>contact" class="list-group-item"><span class="fa fa-envelope-o fa-fw"></span> Contact</a></li>
	</ul>
</nav>