<?php get_header(); ?>
<div id="gallery" class="art-gallery carousel">
	<div class="container leader">
		<div class="row">
			<div class="col-sm-2">
				<h4><a href="#figures">Figures</a></h4>
				<h4><a href="#landscapes">Landscapes</a></h4>
				<h4><a href="#still">Still Life</a></h4>	
				<h4><a href="#abstract">Abstract</a></h4>
				<div class="controls">

					<ol class="carousel-indicators">
						<li data-target="#caro" data-slide-to="0" class="active"></li>
						<li data-target="#caro" data-slide-to="1"></li>
						<li data-target="#caro" data-slide-to="2"></li>
						<li data-target="#caro" data-slide-to="3"></li>
						<li data-target="#caro" data-slide-to="4"></li>
						<li data-target="#caro" data-slide-to="5"></li>
					</ol>
					<div class="prev-next">
						<a class="prev" href="#gallery" data-slide="prev">&lsaquo; Prev</a> - 
						<a class="next" href="#gallery" data-slide="next"> Next &rsaquo; </a>
					</div>
				</div>	
			</div>
			<div class="col-sm-10">
				<div class="carousel-inner">
					<div class="item active gallery-image">
						<img class="art-image" src="<?php echo get_template_directory_uri(); ?>/img/lemon-mater.jpg" alt="<?php the_title(); ?>"/>
					</div>
					<?php query_posts('category_name=paintings&showposts=12'); ?>
					<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
					<div class="item gallery-image">
						<?php $img_url = wp_get_attachment_image_src(get_post_thumbnail_id(),'studio'); ?>
						<img class="art-image" src="<?php echo $img_url[0];?>" alt="<?php the_title(); ?>"/>
					</div>
					<?php endwhile; ?>
				</div>		
			</div>
		</div>
	</div>
</div>	
<?php get_footer(); ?>